:root,
[theme=light] {
    --background-color: #ffffff;
    --text-color: #1e293b;
    --border-color: #e2e8f0;
    --primary-color: #0066ff;
    --secondary-background: #2c3e50;
}

[theme=dark] {
    --background-color: #1e293b;
    --text-color: #f8fafc;
    --border-color: #ffffff;
    --primary-color: #3b82f6;
    --secondary-background: #2c3e50;
    /**
    --background-color: #212121;
    --text-color: #dbdada;
    --border-color: #a1a1a1;
    --primary-color: #88a7dacf;
    --secondary-background: #2c3e50;
    **/
}

body {
    font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    margin: 0;
    padding: 0;
    background-color: var(--background-color);
    color: var(--text-color);
}
            
.css-ej50h9 {
    padding-top: 16px;
    padding-bottom: 16px;
    padding-left: 24px;
    padding-right: 24px;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-align-items: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}
.css-1kr3qas {
    color: inherit;
    -webkit-text-decoration: none;
    text-decoration: none;
    font-size: 20px;
}            
.css-3z902c {
    display: inline-block;
    margin: 0;
    font-weight: 500;
    font-family: inherit;
    line-height: inherit;
    text-align: center;
    -webkit-text-decoration: none;
    text-decoration: none;
    border: 0;
    border-radius: 6px;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    cursor: pointer;
    color: var(--text-color);
    background-color: transparent;
    box-shadow: inset 0 0 0 1px var(--theme-ui-colors-border, #d1d5da);
    padding-top: 4px;
    padding-bottom: 4px;
    padding-left: 8px;
    padding-right: 8px;
    margin-left: 8px;
    font-size: 14px;
}            
.css-a9n7s9 {
    margin-left: auto;
    margin-right: auto;
}            
.css-19yhkv9 {
    color: inherit;
    -webkit-text-decoration: none;
    text-decoration: none;
}            
.css-pvp473 {
    display: inline-block;
    margin: 0;
    padding-top: 12px;
    padding-bottom: 12px;
    padding-left: 24px;
    padding-right: 24px;
    font-size: 16px;
    font-weight: 500;
    font-family: inherit;
    line-height: inherit;
    text-align: center;
    -webkit-text-decoration: none;
    text-decoration: none;
    color: white;
    background-color: var(--theme-ui-colors-primary, #0066ff);
    border: 0;
    border-radius: 6px;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    cursor: pointer;
    padding: 4px;
    line-height: 1;
    color: var(--theme-ui-colors-icon, #959da5);
    background-color: transparent;
    margin-left: 16px;
}            
            
            
            
/**main - head**/             
@media screen and (min-width: 40em) {
    .css-11pl58t {
        padding-top: 64px;
        padding-bottom: 64px;
    }
}
.css-11pl58t {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-align-items: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    padding-top: 48px;
    padding-bottom: 48px;
    padding-left: 24px;
    padding-right: 24px;
}
.css-16kxln {
    margin-top: 0;
    margin-bottom: 24px;
    font-size: 32px;
    font-weight: 400;
    line-height: 1.25;
    text-align: center;
}
@media screen and (min-width: 40em) {
    .css-1frlzip {
        -webkit-flex-direction: row;
        -ms-flex-direction: row;
        flex-direction: row;
    }
}

.css-1frlzip {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
    flex-direction: row;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
    -ms-flex-pack: center;
    justify-content: center;
    width: 100%;
    align-items: center;
     
}
 
.css-tb4xom {
    display: inline-block;
    margin: 15px;
    padding-top: 12px;
    padding-bottom: 12px;
    padding-left: 24px;
    padding-right: 24px;
    font-size: 16px;
    font-weight: 500;
    font-family: inherit;
    line-height: inherit;
    text-align: center;
    -webkit-text-decoration: none;
    text-decoration: none;
    color: white;
    background-color: var(--theme-ui-colors-primary, #0066ff);
    border: 0;
    border-radius: 6px;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    cursor: pointer;
}
.css-n4n36g {
    display: inline-block;
    margin: 0;
    padding-top: 12px;
    padding-bottom: 12px;
    padding-left: 24px;
    padding-right: 24px;
    font-size: 16px;
    font-weight: 500;
    font-family: inherit;
    line-height: inherit;
    text-align: center;
    -webkit-text-decoration: none;
    text-decoration: none;
    border: 0;
    border-radius: 6px;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    cursor: pointer;
    color: var(--text-color);
    background-color: transparent;
    box-shadow: inset 0 0 0 1px var(--theme-ui-colors-border, #d1d5da);
}

/**main - bscr**/
@media screen and (min-width: 48em) {
    .css-v4hxup {
        grid-template-columns: 1fr 360px;
    }
}
.css-v4hxup {
    display: grid;
    grid-auto-flow: dense;
    padding-left: 8px;
    padding-right: 8px;
}
/**main - customize**/
@media screen and (min-width: 48em) {
    .css-1g4lwcx {
        grid-column: 2;
        position: -webkit-sticky;
        position: sticky;
        max-height: 100vh;
    }
}
.css-1g4lwcx {
    top: 0;
    overflow: auto;
    font-family: monospace;
}
.css-owoaz3 {
    padding-top: 24px;
    padding-bottom: 24px;
    padding-left: 16px;
    padding-right: 16px;
    display: grid;
    gap: 15px;
}
.css-1rwqq8c {
    display: grid;
    grid-gap: 10px;
}
.css-1lekzkb {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-align-items: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: justify;
    -webkit-justify-content: space-between;
    -ms-flex-pack: justify;
    justify-content: space-between;
    padding: 15px 0px;
}
.css-181892j {
    margin: 0;
    font-size: 20px;
    font-weight: 500;
}
.css-c19m5y:disabled {
    opacity: 0.5;
    pointer-events: none;
}

.if-icon-ctn{
    height: 140px;
    border: 1px solid #f0f0f0;
    border-radius: 10px;
    box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);
    padding: 40px 0px;
    position:relative;
}

[theme=dark] .if-icon-ctn.dark{ 
    background: var(--background-color);
    color: white;
}
.if-icon-ctn.dark{ 
    background: #1e293b;color: white;
}
.btn-ctn-top{
    display:flex;margin: 5px 5px;
    cursor: pointer;
    padding: 3px 7px;
    border: 1px solid var(--border-color);
    border-radius: 5px;
    font-size: 10px;
    align-items: center;
    justify-content: center;
    background: var(--secondary-background);
    color: var(--border-color);}
.btn-ctn-top-left{
    background: transparent;
    border: none;
    color: var(--text-color);
}

.if-icon-desing{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
    height: 100%;  
}

.css-c19m5y {
    display: inline-block;
    margin-left: 5px;
    padding-top: 12px;
    padding-bottom: 12px;
    padding-left: 24px;
    padding-right: 24px;
    font-size: 16px;
    font-weight: 500;
    font-family: inherit;
    line-height: inherit;
    text-align: center;
    -webkit-text-decoration: none;
    text-decoration: none;
    color: white;
    background-color: var(--theme-ui-colors-primary, #0066ff);
    border: 0;
    border-radius: 6px;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    cursor: pointer;
    color: var(--theme-ui-colors-text, #2f363d);
    background-color: transparent;
    box-shadow: inset 0 0 0 1px var(--theme-ui-colors-border, #d1d5da);
    padding-top: 4px;
    padding-bottom: 4px;
    padding-left: 8px;
    padding-right: 8px;
    font-size: 14px;
}
.css-3vkd17 {
    box-sizing: border-box;
    margin: 0;
    min-width: 0;
    width: 100%;
    font-size: 14px;
    margin-bottom: 4px;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
}
.css-wbbk9x {
    display: flex;
    grid-gap: 10px;
    justify-items: end;
    -webkit-align-items: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}
.css-wbbk9x .button {
    border-radius: 5px;
    border: 0px;
    padding: 5px 10px 5px 10px;
}
.css-wbbk9x .input {
    border-radius: 5px;
    border: 1px solid var(--text-color);
    padding: 8px 10px 8px 10px;
    width: 100%;
}
.css-1340obj {
    box-sizing: border-box;
    margin: 0;
    min-width: 0;
    display: block;
    width: 100%;
    height: 4px;
    margin-top: 8px;
    margin-bottom: 8px;
    cursor: pointer;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border-radius: 9999px;
    color: inherit;
    background-color: gray;
    background-color: var(--theme-ui-colors-border, #d1d5da);
}
.css-o06zgf {
    display: grid;
    grid-gap: 16px;
    grid-template-columns: 1fr 48px;
}
.css-s6kasq {
    box-sizing: border-box;
    margin: 0;
    min-width: 0;
    display: block;
    width: 100%;
    padding: 5px 5px 5px 40px;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    font-size: inherit;
    line-height: inherit;
    border: 1px solid;
    color: inherit;
    background-color: transparent;
    background-color: var(--theme-ui-colors-background, #fff);
    border-color: var(--theme-ui-colors-border, #d1d5da);
    border-radius: 6px;
}
.css-14cxyx5 {
    background-color: currentColor;
    border-radius: 6px;
}


.css-rjdp49 {
    position: relative;
    width: 100%;
    border: 1px solid var(--border-color);
    background-color: var(--background-color);
    display: grid;
    place-items: center;
    border-radius: 6px;
    overflow: hidden;
    box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);
    outline: 0;
}
.css-rjdp49:focus {
    box-shadow: 0 0 0 3px var(--theme-ui-colors-primary, #0066ff);
}




/**main - listicons**/
.css-11x9mvp {
    position: -webkit-sticky;
    position: sticky;
    top: -1px;
    padding-top: 24px;
    padding-bottom:40px;
    padding-left: 16px;
    padding-right: 16px;
    z-index: 1;
    background: var(--background-color);
}
.css-79elbk {
    position: relative;
}

.css-1jo5a5k {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 16px;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-align-items: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}
.css-zcmmes {
    width: 100%;
    margin: 0;
    padding: 16px;
    padding-left: 52px;
    font-size: inherit;
    line-height: 1;
    font-family: inherit;
    color: var(--secondary-background);
    background-color: var(--theme-ui-colors-background, #fff);
    box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);
    border: 0;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    outline: 0;
    border-radius: 6px;
}
.css-zcmmes:focus {
    box-shadow: 0 0 0 3px var(--theme-ui-colors-primary, #0066ff);
}

.css-gajhq5 {
    padding-left: 16px;
    padding-right: 16px;
}
.css-741jrm {
    margin: -8px;
   /* min-height: 180px;*/
        height: 100%;
    position: relative;
        width: 100%;
}
.css-o7a6jw{
    display: flex;
    place-items: stretch;
    -webkit-box-align: stretch;
    flex-direction: row;
    flex-wrap: wrap;
}
.css-hpgf8j {
    padding: 8px;
    margin: 5px;
    /*width: 150px;*/    width: 100%;
}


.css-kf9vn9 {
    width: 100%;
    height: 100%;
    padding: 12px 0px 12px 0px;
    display: flex;
    flex-direction: column;
    -webkit-box-align: center;
    align-items: center;
    cursor: pointer;
    background-color: transparent;
    border: 1px solid var(--border-color);
    border-radius: 10px;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 1px 3px 0px, rgba(0, 0, 0, 0.06) 0px 1px 2px 0px;
    outline: 0px;
}

.css-9a5dmo {
    flex: 1 1 auto;
    display: flex;
    -webkit-box-align: center;
    align-items: center;
    -webkit-box-pack: center;
    justify-content: center;
}
.css-1sns0wc {
    flex: 0 0 auto;
    font-size: 12px;
    padding-left: 16px;
    padding-right: 16px;
    text-align: center;
    word-break: break-word;
    font-weight: 400;
}
.css-i6dzq1 {
    vertical-align: text-bottom;
}


.css-ddnosg{
    padding-top: 24px;
    padding-bottom: 24px;
    padding-left: 16px;
    padding-right: 16px;
}
.css-51lsic {
    padding-top: 16px;
    padding-bottom: 16px;
    border-top: 1px solid;
    border-color: #d1d5da;
}
.css-u7hb6e {
    color: inherit;
    -webkit-text-decoration: none;
    text-decoration: none;
    font-size: 14px;
}



.button{
    border-radius: 5px;
    border: 0;
    padding: 5px 10px 5px 10px;
}

pre {
    width: 100%;
    overflow-x: auto;
    white-space: pre; 
    padding: 10px 15px 5px 15px;
    box-sizing: border-box;
    text-align: center;
/*    user-select: none; */
}


.inpt-color{ 
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    width: 37px;
    height: 100%;
    border-radius: 5px 0px 0px 5px;
    padding: 0;
    appearance: none;
    -moz-appearance: none;
    -webkit-appearance: none;
    border: unset;
}
.inpt-color::-webkit-color-swatch-wrapper {
  padding: 0;
}
.inpt-color:focus{
  border-radius: 5px 0px 0px 5px;
  outline: none;
}
.inpt-color::-webkit-color-swatch{
    border:unset; 
  border-radius: 0;
}

.inpt-color::-moz-color-swatch,
.inpt-color::-moz-focus-inner{
  border: 0;
}

.inpt-color::-moz-focus-inner{
  padding: 0;
}


.if-icon-desing{
  font-size: 4rem;
  line-height: 0;
}



.wifColor{
    width: 50px;
    margin: 0px 5px 0px 0px;
    border-radius: 6px;
    border-color: white;
}


.grid-animate{
--spacing-base: 1em;
    --spacing-xs: calc(var(--spacing-base)* 10 / 16);
    
    flex-grow: 1;
    gap: var(--spacing-xs);
    flex-wrap: wrap;
    display: flex;
    align-items: stretch;
}
.grid-animate .animate{ 
    display: flex;
    align-items: center;
    flex-direction: row;
    background: var(--background-color);
    border: 1px dotted var(--border-color);
    color: var(--text-color);
}
.grid-animate .animate i{ 
    padding-right: 5px;
}

.select-custom-select{
    font-weight:400; position: static; padding: 3px 20px 3px 30px; border-radius: 5px; box-shadow: inset 0 0.25em 0 0 rgb(240, 241, 243);width: 125px;
}

.grid-container {
    display: grid;
    --spacing-base: 1em;
    --icon-listing-compact-size: calc(var(--spacing-base)* 7.5);
    --icon-listing-roomy-gap-x: var(--spacing-base);
    --icon-listing-roomy-gap-y: var(--spacing-base);
    grid-template-columns: repeat(auto-fill, minmax(var(--icon-listing-compact-size), 1fr));
    grid-gap: var(--icon-listing-roomy-gap-y) var(--icon-listing-roomy-gap-x);
}
.css-9a5dmo i{
    --size-base: 1em;
    --size-2xl: calc(var(--size-base)* 2);
    --icon-listing-compact-icon-size: var(--size-2xl);
    font-size: var(--icon-listing-compact-icon-size);
}

.cd-menu{
display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    gap: calc(1em* 2 / 16);
    width: 100%;
    background: var(--border-color);
    overflow: clip;
    border-radius: 5px 5px 0 0;
}
.tabs .tab {  
    --spacing-base: 1em;
    --spacing-sm: calc(var(--spacing-base)* 12 / 16);
    --spacing-xl: calc(var(--spacing-base)* 1);
    
    --tab-padding-vertical: var(--spacing-sm);
    --tab-padding-horizontal: var(--spacing-xl);
    --tab-padding: var(--tab-padding-vertical) var(--tab-padding-horizontal);
     
    background: var(--tab-background);
    border: 0px; 
    padding: calc(1em* 12 / 16) calc(1em* 1.5); 
    color: rgb(24, 49, 83); 
    font-size: 12px;
     font-weight: 700; 
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-items: center;
    gap: calc(1em* 8 / 16); 
}
.tab.active{
    background: var(--background-color);
    color: var(--text-color);
}
.pre-container {
    position: relative;
    display: inline-block;
    overflow-x: auto;
    width: 90%;
}
    .tooltip {
position: absolute;
    top: 3px;
    left: 50%;
    transform: translateX(-50%);
    background-color: #333;
    color: #fff;
    padding: 2px 8px;
    border-radius: 5px;
    font-size: 10px;
    visibility: hidden;
    opacity: 0;
    transition: opacity 0.3s ease;
    pointer-events: none;
    }
    .pre-container:hover .tooltip {
        visibility: visible;
        opacity: 1;
    }
.cd-footer{
    --spacing-md: calc(1em* 1);
    gap: var(--spacing-md);
    border-top: 0.125em solid #cacaca;
    width: 100%;
    flex-wrap: wrap;
    display: flex;
    align-items: center;
    font-size: 12px;
    padding: 12px 0px;
    justify-content: center;
}
.icons-facets-group{
    position: relative;
    width: 100%;
    display: flex;
    justify-content: center;
}
.icons-facets-group-families{
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: absolute;
    width: 50%;
    padding: 3px 0px 0px 0px;
    border-bottom: 1px solid var(--text-color);
}
.button.familie{
    background: transparent;
    display: flex;
    align-items: center;
    flex-direction: row;
    font-size: 10px;
    padding: 5PX;
    border-radius: 0;
    color: var(--text-color);
}
.button.familie i{
    margin-right: 5px;
}
.button.familie.active{
    border-bottom: 3px solid var(--secondary-background);
}

@media (max-width: 1000px) { 
    .responsive-table {
        width: 80%;
    }
}

@media (max-width: 950px) { 
    .icons-facets-group-families {
        width: 100%; 
    }
}

@media (max-width: 768px) { 
    .icons-facets-group-families {
        width: 100%; 
    }
}